%{
  #ifdef SERVER
	#define SERVER_INIT
	void cis_initialize(void) {
	  int ret = 0;
	  ret |= solp_init(SOLDRV_PROXY_A, 1, "SSV Table GC DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 2, "SSV Table GC IncTable\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 3, "SSV Manual GC Position 1\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 4, "SSV Table PAN DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 5, "SSV Table PAN IncTable\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 6, "SSV Manual PAN air\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 7, "SSV Manual PAN cal\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 8, "gsv CO Inject\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 9, "gsv CO Load\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 10, "gsv CO DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 11, "Flow CO main Setpoint 118\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 12, "Flow CO main Setpoint 83\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 13, "Flow CO main Setpoint 83\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 14, "Flow CO main Setpoint 83\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 15, "Flow CO main Setpoint 83\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 16, "Flow CO bf Setpoint 10\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 17, "Flow CO bf Setpoint 45\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 18, "Flow CO bf Setpoint 45\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 19, "Flow CO bf Setpoint 45\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 20, "Flow CO bf Setpoint 45\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 21, "Press CO Setpoint 97\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 22, "Press CO Setpoint 97\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 23, "Press CO Setpoint 97\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 24, "Press CO Setpoint 97\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 25, "Press CO Setpoint 97\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 26, "gsv SF6 Inject\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 27, "gsv SF6 Load\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 28, "gsv SF6 DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 29, "Flow SF6 main Setpoint 125\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 30, "Flow SF6 main Setpoint 100\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 31, "Flow SF6 main Setpoint 100\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 32, "Flow SF6 main Setpoint 100\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 33, "Flow SF6 main Setpoint 50\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 34, "Flow SF6 bf Setpoint 100\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 35, "Flow SF6 bf Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 36, "Flow SF6 bf Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 37, "Flow SF6 bf Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 38, "Flow SF6 bf Setpoint 25\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 39, "Press SF6 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 40, "Press SF6 Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 41, "Press SF6 Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 42, "Press SF6 Setpoint 55\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 43, "Press SF6 Setpoint 35\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 44, "gsv F11 Inject\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 45, "gsv F11 Load\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 46, "gsv F11 DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 47, "Flow F11 main Setpoint 140\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 48, "Flow F11 main Setpoint 120\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 49, "Flow F11 main Setpoint 98\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 50, "Flow F11 main Setpoint 98\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 51, "Flow F11 main Setpoint 40\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 52, "Flow F11 bf Setpoint 5\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 53, "Flow F11 bf Setpoint 130\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 54, "Flow F11 bf Setpoint 130\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 55, "Flow F11 bf Setpoint 130\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 56, "Flow F11 bf Setpoint 50\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 57, "Press F11 Setpoint 25\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 58, "Press F11 Setpoint 70\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 59, "Press F11 Setpoint 70\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 60, "Press F11 Setpoint 70\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 61, "Press F11 Setpoint 40\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 62, "gsv PAN Inject\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 63, "gsv PAN Load\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 64, "gsv PAN DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 65, "Press PAN 1 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 66, "Press PAN 1 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 67, "Press PAN 1 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 68, "Press PAN 1 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 69, "Press PAN 1 Setpoint 15\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 70, "Press PAN 2 Setpoint 22\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 71, "Press PAN 2 Setpoint 22\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 72, "Press PAN 2 Setpoint 23.1\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 73, "Press PAN 2 Setpoint 23.1\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 74, "Press PAN 2 Setpoint 25.1\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 75, "Press PAN SLoop Setpoint 14.0\n");
	  ret |= solp_init(SOLDRV_PROXY_A, 76, "Press PAN SLoop Setpoint 14.0\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 1, "msd read ionfile\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 2, "msd run\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 3, "msd ionwin next\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 4, "msd ionwin choose 0\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 5, "msd ionwin choose 1\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 6, "msd ionwin choose 2\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 7, "msd ionwin choose 3\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 8, "msd ionwin choose 4\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 9, "msd donothing\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 10, "msd duration 118\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 11, "SSV Table MSD DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 12, "SSV Table MSD IncTable\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 13, "SSV Manual MSD Position 1\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 14, "SSV Manual MSD Position 2\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 15, "SSV Manual MSD Position 3\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 16, "SSV Manual MSD Position 4\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 17, "SSV Manual MSD Position 5\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 18, "SSV Manual MSD Position 6\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 19, "GSV ms both Inj1\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 20, "GSV ms both Inj2\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 21, "GSV ms both DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 22, "Omega changeSP1 MS Trap Cold Block 1 -45\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 23, "Omega changeSP1 MS Trap Cold Block 1 -45\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 24, "Omega changeSP1 DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 25, "Omega changeSP1 MS Trap Cold Block 2 -45\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 26, "Omega changeSP1 MS Trap Cold Block 2 -45\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 27, "Omega changeSP1 DoNothing\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 28, "Press MS 1 setpoint 27.9\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 29, "Press MS 1 setpoint 27.9\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 30, "Press MS 2 setpoint 28.3\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 31, "Press MS 2 setpoint 28.3\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 32, "Omega MS_PAN 1MS column 25\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 33, "Omega MS_PAN 1MS column 55\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 34, "Omega MS_PAN 1MS column 45\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 35, "Omega MS_PAN 1MS column 49\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 36, "Omega MS_PAN 1MS column 55\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 37, "Omega MS_PAN 1MS column 61\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 38, "Omega MS_PAN 2MS column 29\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 39, "Omega MS_PAN 2MS column 69\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 40, "Omega MS_PAN 2MS column 44\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 41, "Omega MS_PAN 2MS column 48\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 42, "Omega MS_PAN 2MS column 54\n");
	  ret |= solp_init(SOLDRV_PROXY_B, 43, "Omega MS_PAN 2MS column 65\n");
	  if (ret) exit(1);
	}
	void cis_terminate(void) {
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 1);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 2);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 3);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 4);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 5);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 6);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 7);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 8);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 9);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 10);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 11);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 12);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 13);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 14);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 15);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 16);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 17);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 18);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 19);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 20);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 21);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 22);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 23);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 24);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 25);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 26);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 27);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 28);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 29);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 30);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 31);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 32);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 33);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 34);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 35);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 36);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 37);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 38);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 39);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 40);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 41);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 42);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 43);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 44);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 45);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 46);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 47);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 48);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 49);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 50);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 51);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 52);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 53);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 54);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 55);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 56);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 57);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 58);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 59);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 60);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 61);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 62);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 63);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 64);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 65);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 66);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 67);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 68);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 69);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 70);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 71);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 72);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 73);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 74);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 75);
	  Soldrv_reset_proxy(SOLDRV_PROXY_A, 76);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 1);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 2);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 3);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 4);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 5);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 6);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 7);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 8);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 9);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 10);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 11);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 12);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 13);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 14);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 15);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 16);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 17);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 18);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 19);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 20);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 21);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 22);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 23);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 24);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 25);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 26);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 27);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 28);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 29);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 30);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 31);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 32);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 33);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 34);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 35);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 36);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 37);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 38);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 39);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 40);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 41);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 42);
	  Soldrv_reset_proxy(SOLDRV_PROXY_B, 43);
	}
  #endif
%}
